> For the complete documentation index, see [llms.txt](https://ui.docs.kafbat.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://ui.docs.kafbat.io/faq/faq.md).

# FAQ

### Basic (username password) authentication

[Basic Authentication](/configuration/authentication/for-the-ui/basic-authentication.md)

### Role-based access control

[RBAC (Role based access control)](/configuration/rbac-role-based-access-control.md)

### OAuth 2

[OAuth2](/configuration/authentication/for-the-ui/oauth2.md)

### LDAP

See [this](https://github.com/kafbat/kafka-ui/blob/main/documentation/compose/auth-ldap.yaml#L29) example.

### Active Directory (LDAP)

See [this](https://github.com/kafbat/kafka-ui/blob/main/documentation/compose/auth-ldap.yaml#L29) example.

### SAML

Planned, see [#478](https://github.com/kafbat/kafka-ui/issues/478)

### Smart filters syntax

We use CEL syntax for smart message filtersVariables bound to the context:

1. key (json if possible)
2. value (json if possible)
3. keyAsText
4. valueAsText
5. header
6. partition
7. timestampMs

JSON parsing logic:Key and Value (if parsing to JSON is available) are bound as JSON objects, otherwise as nulls.Filter examples:

1. `has(record.keyAsText) && record.keyAsText.matches(".*[Gg]roovy.*")` - regex for key as a string
2. `has(record.key.name.first) && record.key.name.first == 'user1'` - in case if the value is json
3. `record.headers.size() == 1 && !has(record.headers.k1) && record.headers['k2'] == 'v2'`

### Can I use the app as API?

Sure! Swagger declaration is located [here](https://github.com/kafbat/kafka-ui/blob/main/contract/src/main/resources/swagger/kafbat-ui-api.yaml).

### My OIDC / OAuth provider uses self-signed certificates, how do I add them to the truststore?

```yaml
server:
  ssl:
    trust-store: classpath:keycloak-truststore.jks
    trust-store-password: changeit
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://ui.docs.kafbat.io/faq/faq.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
